Package com.xebialabs.xlrelease.security

# Class XLReleasePermissions

java.lang.Object
com.xebialabs.deployit.security.permission.PlatformPermissions
com.xebialabs.xlrelease.security.XLReleasePermissions

public class XLReleasePermissions extends com.xebialabs.deployit.security.permission.PlatformPermissions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.xebialabs.deployit.security.permission.Permission`
  `ABORT_RELEASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `ABORT_WORKFLOW_EXECUTION`
  `static final String`
  `ADMIN_USERNAME`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `ADVANCE_TASK_TRANSITION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `APPLY_FOLDER_CHANGES`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `AUDIT_ALL`
  `static final String`
  `AUTHENTICATED_USER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_DASHBOARD`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_EDIT_SCRIPT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_RELEASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_RELEASE_FROM_TEMPLATE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_RELEASE_IN_ANOTHER_FOLDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_TEMPLATE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `CREATE_TOP_LEVEL_FOLDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `DUMMY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_APPLICATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_BLACKOUT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_DASHBOARD`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_DELIVERY_PATTERN`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_DELIVERY_TRACKED_ITEM`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_ENVIRONMENT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_CONFIGURATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_NOTIFICATIONS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_SECURITY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_TEAMS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_VARIABLES`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_FOLDER_VERSIONS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_GLOBAL_BLACKOUT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_GLOBAL_VARIABLES`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_LIVE_DEPLOYMENTS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_DELIVERY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_FAILURE_HANDLER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_GROUP`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_PRECONDITION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_SECURITY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_TASK`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_TASK_ATTACHMENT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_TASK_CONFIGURATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_TASK_CONFIGURATION_FACET`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RELEASE_TASK_SCRIPT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RESERVATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RISK_PROFILE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_RUNNER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TASK_DATES`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TASK_DESCRIPTION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TASK_FLAG`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TASK_TAGS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TEMPLATE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TEMPLATE_FAILURE_HANDLER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TEMPLATE_PRECONDITION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TEMPLATE_SECURITY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TEMPLATE_TRIGGERS`
  Deprecated.
  Use trigger#edit_trigger instead.
  `static final com.xebialabs.deployit.security.permission.Permission`
  `EDIT_TRIGGER`
  `static final Map<com.xebialabs.deployit.security.permission.Permission,Integer>`
  `FOLDER_PERMISSION_PRESENTATION_ORDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `GENERATE_FOLDER_CONFIGURATION`
  `static final String`
  `GLOBAL_AUTHENTICATED_USERS_ROLE`
  `static final Map<com.xebialabs.deployit.security.permission.Permission,Integer>`
  `GLOBAL_PERMISSION_PRESENTATION_ORDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `LOCK_RELEASE_TASK`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `LOCK_TEMPLATE_TASK`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `REASSIGN_LOCK_RELEASE_TASK`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `REASSIGN_RELEASE_TASK`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `RESTART_PHASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `RUNNER_REGISTRATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `START_RELEASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `START_WORKFLOW_EXECUTION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `TASK_TRANSITION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_APPLICATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_DASHBOARD`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_DELIVERY_PATTERN`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_ENVIRONMENT`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_FOLDER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_FOLDER_CONFIGURATION`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_FOLDER_SECURITY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_FOLDER_VERSIONS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_LIVE_DEPLOYMENTS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_RELEASE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_RELEASE_DELIVERY`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_RELEASE_GROUP`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_REPORTS`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_RUNNER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_TEMPLATE`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_TRIGGER`
  `static final com.xebialabs.deployit.security.permission.Permission`
  `VIEW_WORKFLOW_EXECUTION`

  ### Fields inherited from class com.xebialabs.deployit.security.permission.PlatformPermissions

  `ADMIN, EDIT_REPO, EDIT_SECURITY, LOGIN, READ, REPORT_VIEW, VIEW_SECURITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XLReleasePermissions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<String>`
  `getDashboardPermissions()`
  `static List<String>`
  `getDeliveryPermissions()`
  `static List<String>`
  `getFolderPermissions()`
  `static List<String>`
  `getGlobalPermissions()`
  `static List<String>`
  `getLiveDeploymentsPermissions()`
  `static List<String>`
  `getReleaseGroupPermissions()`
  `static List<String>`
  `getReleasePermissions()`
  `static List<String>`
  `getTemplateOnlyPermissions()`
  `static List<String>`
  `getTemplatePermissions()`
  `static List<String>`
  `getTriggerPermissions()`
  `static List<String>`
  `getWorkflowExecutionPermissions()`
  `static void`
  `init()`
  `static boolean`
  `isAdmin(String username)`
  `static void`
  `removePermission(com.xebialabs.deployit.security.permission.Permission permission)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATE_TEMPLATE

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_TEMPLATE

  - ### CREATE_RELEASE

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE

  - ### VIEW_REPORTS

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_REPORTS

  - ### AUDIT_ALL

    public static final com.xebialabs.deployit.security.permission.Permission AUDIT_ALL

  - ### CREATE_DASHBOARD

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_DASHBOARD

  - ### EDIT_GLOBAL_VARIABLES

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_GLOBAL_VARIABLES

  - ### CREATE_TOP_LEVEL_FOLDER

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_TOP_LEVEL_FOLDER

  - ### EDIT_GLOBAL_BLACKOUT

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_GLOBAL_BLACKOUT

  - ### EDIT_RISK_PROFILE

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RISK_PROFILE

  - ### EDIT_ENVIRONMENT

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_ENVIRONMENT

  - ### VIEW_ENVIRONMENT

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_ENVIRONMENT

  - ### EDIT_APPLICATION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_APPLICATION

  - ### VIEW_APPLICATION

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_APPLICATION

  - ### EDIT_RESERVATION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RESERVATION

  - ### EDIT_RUNNER

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RUNNER

  - ### VIEW_RUNNER

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_RUNNER

  - ### RUNNER_REGISTRATION

    public static final com.xebialabs.deployit.security.permission.Permission RUNNER_REGISTRATION

  - ### CREATE_EDIT_SCRIPT

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_EDIT_SCRIPT

  - ### CREATE_RELEASE_FROM_TEMPLATE

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE_FROM_TEMPLATE

  - ### CREATE_RELEASE_IN_ANOTHER_FOLDER

    public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE_IN_ANOTHER_FOLDER

  - ### VIEW_TEMPLATE

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_TEMPLATE

  - ### EDIT_TEMPLATE

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE

  - ### EDIT_TEMPLATE_SECURITY

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_SECURITY

  - ### EDIT_TEMPLATE_TRIGGERS

    @Deprecated public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_TRIGGERS
    Deprecated.
    Use trigger#edit_trigger instead.
    See REL-9522

  - ### VIEW_RELEASE

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE

  - ### EDIT_RELEASE

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE

  - ### EDIT_RELEASE_SECURITY

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_SECURITY

  - ### START_RELEASE

    public static final com.xebialabs.deployit.security.permission.Permission START_RELEASE

  - ### ABORT_RELEASE

    public static final com.xebialabs.deployit.security.permission.Permission ABORT_RELEASE

  - ### EDIT_RELEASE_TASK

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK

  - ### EDIT_RELEASE_TASK_SCRIPT

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_SCRIPT

  - ### EDIT_RELEASE_TASK_CONFIGURATION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_CONFIGURATION

  - ### EDIT_RELEASE_TASK_CONFIGURATION_FACET

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_CONFIGURATION_FACET

  - ### REASSIGN_RELEASE_TASK

    public static final com.xebialabs.deployit.security.permission.Permission REASSIGN_RELEASE_TASK

  - ### EDIT_BLACKOUT

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_BLACKOUT

  - ### TASK_TRANSITION

    public static final com.xebialabs.deployit.security.permission.Permission TASK_TRANSITION

  - ### ADVANCE_TASK_TRANSITION

    public static final com.xebialabs.deployit.security.permission.Permission ADVANCE_TASK_TRANSITION

  - ### EDIT_TASK_TAGS

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_TAGS

  - ### EDIT_RELEASE_TASK_ATTACHMENT

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_ATTACHMENT

  - ### EDIT_TASK_DESCRIPTION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_DESCRIPTION

  - ### EDIT_TASK_DATES

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_DATES

  - ### EDIT_TASK_FLAG

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_FLAG

  - ### RESTART_PHASE

    public static final com.xebialabs.deployit.security.permission.Permission RESTART_PHASE

  - ### VIEW_FOLDER

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER

  - ### EDIT_FOLDER

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER

  - ### VIEW_FOLDER_SECURITY

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER_SECURITY

  - ### EDIT_FOLDER_SECURITY

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_SECURITY

  - ### EDIT_FOLDER_TEAMS

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_TEAMS

  - ### EDIT_FOLDER_NOTIFICATIONS

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_NOTIFICATIONS

  - ### VIEW_FOLDER_CONFIGURATION

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER_CONFIGURATION

  - ### EDIT_FOLDER_CONFIGURATION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_CONFIGURATION

  - ### EDIT_FOLDER_VARIABLES

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_VARIABLES

  - ### VIEW_FOLDER_VERSIONS

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER_VERSIONS

  - ### EDIT_FOLDER_VERSIONS

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_VERSIONS

  - ### APPLY_FOLDER_CHANGES

    public static final com.xebialabs.deployit.security.permission.Permission APPLY_FOLDER_CHANGES

  - ### GENERATE_FOLDER_CONFIGURATION

    public static final com.xebialabs.deployit.security.permission.Permission GENERATE_FOLDER_CONFIGURATION

  - ### VIEW_RELEASE_DELIVERY

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE_DELIVERY

  - ### EDIT_RELEASE_DELIVERY

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_DELIVERY

  - ### EDIT_DELIVERY_TRACKED_ITEM

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_DELIVERY_TRACKED_ITEM

  - ### VIEW_DELIVERY_PATTERN

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_DELIVERY_PATTERN

  - ### EDIT_DELIVERY_PATTERN

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_DELIVERY_PATTERN

  - ### VIEW_RELEASE_GROUP

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE_GROUP

  - ### EDIT_RELEASE_GROUP

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_GROUP

  - ### LOCK_RELEASE_TASK

    public static final com.xebialabs.deployit.security.permission.Permission LOCK_RELEASE_TASK

  - ### REASSIGN_LOCK_RELEASE_TASK

    public static final com.xebialabs.deployit.security.permission.Permission REASSIGN_LOCK_RELEASE_TASK

  - ### LOCK_TEMPLATE_TASK

    public static final com.xebialabs.deployit.security.permission.Permission LOCK_TEMPLATE_TASK

  - ### VIEW_DASHBOARD

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_DASHBOARD

  - ### EDIT_DASHBOARD

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_DASHBOARD

  - ### VIEW_TRIGGER

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_TRIGGER

  - ### EDIT_TRIGGER

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TRIGGER

  - ### EDIT_RELEASE_FAILURE_HANDLER

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_FAILURE_HANDLER

  - ### EDIT_TEMPLATE_FAILURE_HANDLER

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_FAILURE_HANDLER

  - ### EDIT_RELEASE_PRECONDITION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_PRECONDITION

  - ### EDIT_TEMPLATE_PRECONDITION

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_PRECONDITION

  - ### VIEW_WORKFLOW_EXECUTION

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_WORKFLOW_EXECUTION

  - ### START_WORKFLOW_EXECUTION

    public static final com.xebialabs.deployit.security.permission.Permission START_WORKFLOW_EXECUTION

  - ### ABORT_WORKFLOW_EXECUTION

    public static final com.xebialabs.deployit.security.permission.Permission ABORT_WORKFLOW_EXECUTION

  - ### VIEW_LIVE_DEPLOYMENTS

    public static final com.xebialabs.deployit.security.permission.Permission VIEW_LIVE_DEPLOYMENTS

  - ### EDIT_LIVE_DEPLOYMENTS

    public static final com.xebialabs.deployit.security.permission.Permission EDIT_LIVE_DEPLOYMENTS

  - ### DUMMY

    public static final com.xebialabs.deployit.security.permission.Permission DUMMY

  - ### ADMIN_USERNAME

    public static final String ADMIN_USERNAME
    See Also:
      - Constant Field Values

  - ### AUTHENTICATED_USER

    public static final String AUTHENTICATED_USER
    See Also:
      - Constant Field Values

  - ### GLOBAL_AUTHENTICATED_USERS_ROLE

    public static final String GLOBAL_AUTHENTICATED_USERS_ROLE
    See Also:
      - Constant Field Values

  - ### GLOBAL_PERMISSION_PRESENTATION_ORDER

    public static final Map<com.xebialabs.deployit.security.permission.Permission,Integer> GLOBAL_PERMISSION_PRESENTATION_ORDER

  - ### FOLDER_PERMISSION_PRESENTATION_ORDER

    public static final Map<com.xebialabs.deployit.security.permission.Permission,Integer> FOLDER_PERMISSION_PRESENTATION_ORDER

- ## Constructor Details

  - ### XLReleasePermissions

    public XLReleasePermissions()

- ## Method Details

  - ### init

    public static void init()

  - ### removePermission

    public static void removePermission(com.xebialabs.deployit.security.permission.Permission permission)

  - ### getGlobalPermissions

    public static List<String> getGlobalPermissions()

  - ### getTemplatePermissions

    public static List<String> getTemplatePermissions()

  - ### getReleasePermissions

    public static List<String> getReleasePermissions()

  - ### getTriggerPermissions

    public static List<String> getTriggerPermissions()

  - ### getWorkflowExecutionPermissions

    public static List<String> getWorkflowExecutionPermissions()

  - ### getTemplateOnlyPermissions

    public static List<String> getTemplateOnlyPermissions()

  - ### getFolderPermissions

    public static List<String> getFolderPermissions()

  - ### getReleaseGroupPermissions

    public static List<String> getReleaseGroupPermissions()

  - ### getDeliveryPermissions

    public static List<String> getDeliveryPermissions()

  - ### getDashboardPermissions

    public static List<String> getDashboardPermissions()

  - ### getLiveDeploymentsPermissions

    public static List<String> getLiveDeploymentsPermissions()

  - ### isAdmin

    public static boolean isAdmin(String username)